<?php

class MyAccount extends Module
{
	function __construct()
	{
		$this->name = 'myaccount';
		$this->tab = 'DPFPIC - Modules';
		$this->version = 1.0;
		$this->author = 'DPFPIC';

		parent::__construct(); /* The parent construct is required for translations */

		$this->page = basename(__FILE__, '.php');
		$this->displayName = $this->l('My Account special block');
		$this->description = $this->l('Add a block with links login, disconnection...');
	}

	function install()
	{
		if (!parent::install())
			return false;
		//return $this->registerHook('leftColumn');
		return $this->registerHook('rightColumn');
	}
	
	public function uninstall()
	{
		return (parent::uninstall());			
	}

	function hookLeftColumn($params)
	{
		global $smarty;
		$smarty->assign('ENT_QUOTES', ENT_QUOTES);
		return $this->display(__FILE__, 'myaccount.tpl');
	}

	function hookRightColumn($params)
	{
		global $smarty;
		$smarty->assign('ENT_QUOTES', ENT_QUOTES);
		return $this->display(__FILE__, 'myaccount.tpl');
	}
}
